aboutsummaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
authorMiles Bader2007-11-11 00:56:44 +0000
committerMiles Bader2007-11-11 00:56:44 +0000
commitf23d76bdefbd4c06e14d69e99e50d35ce91c8226 (patch)
treeded28d1da6df2d0135514bac83074f4ca1c9099a /configure
parente2d092da5980a7d05a5428074f8eb4925fa801e8 (diff)
parenta457417ee5ba797ab1c91d35ee957bb7a7f8d4b6 (diff)
downloademacs-f23d76bdefbd4c06e14d69e99e50d35ce91c8226.tar.gz
emacs-f23d76bdefbd4c06e14d69e99e50d35ce91c8226.zip
Merge from emacs--devo--0
Revision: emacs@sv.gnu.org/emacs--unicode--0--patch-283
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure125
1 files changed, 30 insertions, 95 deletions
diff --git a/configure b/configure
index ae2dc481843..02c6d470035 100755
--- a/configure
+++ b/configure
@@ -11109,75 +11109,6 @@ echo "${ECHO_T}before 6" >&6; }
11109 fi 11109 fi
11110fi 11110fi
11111 11111
11112if test "${window_system}" = "x11"; then
11113 { echo "$as_me:$LINENO: checking X11 version 5" >&5
11114echo $ECHO_N "checking X11 version 5... $ECHO_C" >&6; }
11115 if test "${emacs_cv_x11_version_5+set}" = set; then
11116 echo $ECHO_N "(cached) $ECHO_C" >&6
11117else
11118 cat >conftest.$ac_ext <<_ACEOF
11119/* confdefs.h. */
11120_ACEOF
11121cat confdefs.h >>conftest.$ac_ext
11122cat >>conftest.$ac_ext <<_ACEOF
11123/* end confdefs.h. */
11124#include <X11/Xlib.h>
11125int
11126main ()
11127{
11128#if XlibSpecificationRelease < 5
11129fail;
11130#endif
11131
11132 ;
11133 return 0;
11134}
11135_ACEOF
11136rm -f conftest.$ac_objext conftest$ac_exeext
11137if { (ac_try="$ac_link"
11138case "(($ac_try" in
11139 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11140 *) ac_try_echo=$ac_try;;
11141esac
11142eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11143 (eval "$ac_link") 2>conftest.er1
11144 ac_status=$?
11145 grep -v '^ *+' conftest.er1 >conftest.err
11146 rm -f conftest.er1
11147 cat conftest.err >&5
11148 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11149 (exit $ac_status); } && {
11150 test -z "$ac_c_werror_flag" ||
11151 test ! -s conftest.err
11152 } && test -s conftest$ac_exeext &&
11153 $as_test_x conftest$ac_exeext; then
11154 emacs_cv_x11_version_5=yes
11155else
11156 echo "$as_me: failed program was:" >&5
11157sed 's/^/| /' conftest.$ac_ext >&5
11158
11159 emacs_cv_x11_version_5=no
11160fi
11161
11162rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
11163 conftest$ac_exeext conftest.$ac_ext
11164fi
11165
11166 if test $emacs_cv_x11_version_5 = yes; then
11167 { echo "$as_me:$LINENO: result: 5 or newer" >&5
11168echo "${ECHO_T}5 or newer" >&6; }
11169 HAVE_X11R5=yes
11170
11171cat >>confdefs.h <<\_ACEOF
11172#define HAVE_X11R5 1
11173_ACEOF
11174
11175 else
11176 HAVE_X11R5=no
11177 { echo "$as_me:$LINENO: result: before 5" >&5
11178echo "${ECHO_T}before 5" >&6; }
11179 fi
11180fi
11181 11112
11182### Use -lrsvg-2 if available, unless `--with-rsvg=no' is specified. 11113### Use -lrsvg-2 if available, unless `--with-rsvg=no' is specified.
11183HAVE_RSVG=no 11114HAVE_RSVG=no
@@ -12081,13 +12012,10 @@ fi
12081 12012
12082HAVE_XAW3D=no 12013HAVE_XAW3D=no
12083if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then 12014if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
12084 if test x"${HAVE_X11R5}" != xyes; then 12015 if test "$with_xaw3d" != no; then
12085 USE_X_TOOLKIT=none 12016 { echo "$as_me:$LINENO: checking for xaw3d" >&5
12086 else
12087 if test "$with_xaw3d" != no; then
12088 { echo "$as_me:$LINENO: checking for xaw3d" >&5
12089echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; } 12017echo $ECHO_N "checking for xaw3d... $ECHO_C" >&6; }
12090 if test "${emacs_cv_xaw3d+set}" = set; then 12018 if test "${emacs_cv_xaw3d+set}" = set; then
12091 echo $ECHO_N "(cached) $ECHO_C" >&6 12019 echo $ECHO_N "(cached) $ECHO_C" >&6
12092else 12020else
12093 cat >conftest.$ac_ext <<_ACEOF 12021 cat >conftest.$ac_ext <<_ACEOF
@@ -12137,25 +12065,25 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12137 conftest$ac_exeext conftest.$ac_ext 12065 conftest$ac_exeext conftest.$ac_ext
12138fi 12066fi
12139 12067
12140 else 12068 else
12141 emacs_cv_xaw3d=no 12069 emacs_cv_xaw3d=no
12142 fi 12070 fi
12143 if test $emacs_cv_xaw3d = yes; then 12071 if test $emacs_cv_xaw3d = yes; then
12144 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5 12072 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12145echo "${ECHO_T}yes; using Lucid toolkit" >&6; } 12073echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12146 USE_X_TOOLKIT=LUCID 12074 USE_X_TOOLKIT=LUCID
12147 HAVE_XAW3D=yes 12075 HAVE_XAW3D=yes
12148 12076
12149cat >>confdefs.h <<\_ACEOF 12077cat >>confdefs.h <<\_ACEOF
12150#define HAVE_XAW3D 1 12078#define HAVE_XAW3D 1
12151_ACEOF 12079_ACEOF
12152 12080
12153 else 12081 else
12154 { echo "$as_me:$LINENO: result: no" >&5 12082 { echo "$as_me:$LINENO: result: no" >&5
12155echo "${ECHO_T}no" >&6; } 12083echo "${ECHO_T}no" >&6; }
12156 { echo "$as_me:$LINENO: checking for libXaw" >&5 12084 { echo "$as_me:$LINENO: checking for libXaw" >&5
12157echo $ECHO_N "checking for libXaw... $ECHO_C" >&6; } 12085echo $ECHO_N "checking for libXaw... $ECHO_C" >&6; }
12158 if test "${emacs_cv_xaw+set}" = set; then 12086 if test "${emacs_cv_xaw+set}" = set; then
12159 echo $ECHO_N "(cached) $ECHO_C" >&6 12087 echo $ECHO_N "(cached) $ECHO_C" >&6
12160else 12088else
12161 cat >conftest.$ac_ext <<_ACEOF 12089 cat >conftest.$ac_ext <<_ACEOF
@@ -12205,19 +12133,18 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
12205 conftest$ac_exeext conftest.$ac_ext 12133 conftest$ac_exeext conftest.$ac_ext
12206fi 12134fi
12207 12135
12208 if test $emacs_cv_xaw = yes; then 12136 if test $emacs_cv_xaw = yes; then
12209 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5 12137 { echo "$as_me:$LINENO: result: yes; using Lucid toolkit" >&5
12210echo "${ECHO_T}yes; using Lucid toolkit" >&6; } 12138echo "${ECHO_T}yes; using Lucid toolkit" >&6; }
12211 USE_X_TOOLKIT=LUCID 12139 USE_X_TOOLKIT=LUCID
12212 elif test x"${USE_X_TOOLKIT}" = xLUCID; then 12140 elif test x"${USE_X_TOOLKIT}" = xLUCID; then
12213 { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5 12141 { { echo "$as_me:$LINENO: error: Lucid toolkit requires X11/Xaw include files" >&5
12214echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;} 12142echo "$as_me: error: Lucid toolkit requires X11/Xaw include files" >&2;}
12215 { (exit 1); exit 1; }; } 12143 { (exit 1); exit 1; }; }
12216 else 12144 else
12217 { echo "$as_me:$LINENO: result: no; do not use toolkit by default" >&5 12145 { echo "$as_me:$LINENO: result: no; do not use toolkit by default" >&5
12218echo "${ECHO_T}no; do not use toolkit by default" >&6; } 12146echo "${ECHO_T}no; do not use toolkit by default" >&6; }
12219 USE_X_TOOLKIT=none 12147 USE_X_TOOLKIT=none
12220 fi
12221 fi 12148 fi
12222 fi 12149 fi
12223fi 12150fi
@@ -24303,6 +24230,14 @@ if test "$USE_X_TOOLKIT" = GTK; then
24303fi 24230fi
24304 24231
24305 24232
24233if test "$HAVE_CARBON" = "yes"; then
24234 echo
24235 echo "Warning: The Mac Carbon port is currently unsupported and has
24236known problems. It is not recommended for use by non-developers.
24237Read the emacs-devel archives for more information."
24238 echo
24239fi
24240
24306 24241
24307# Remove any trailing slashes in these variables. 24242# Remove any trailing slashes in these variables.
24308test "${prefix}" != NONE && 24243test "${prefix}" != NONE &&